import { EntityRepository, Repository } from "typeorm";
import { InstagramSectionCms } from "./entities/instagram-section-cms.entity";
import { UpdateInstagramSectionCmsDto } from "./dto/update-instagram-section-cms.dto";

@EntityRepository(InstagramSectionCms)
export class InstagramSectionCmsRepository extends Repository<InstagramSectionCms> {

    async createEntity(dto: UpdateInstagramSectionCmsDto): Promise<InstagramSectionCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateInstagramSectionCmsDto, id: string): Promise<InstagramSectionCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<InstagramSectionCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}