import { EntityRepository, Repository } from "typeorm";
import { SectionTwoBottomDto } from "./dto/section-two-bottom.dto";
import { SectionTwoBottom } from "./entities/section-two-bottom.entity";

@EntityRepository(SectionTwoBottom)
export class SectionTwoBottomRepository extends Repository<SectionTwoBottom> {

    async createEntity(dto: SectionTwoBottomDto): Promise<SectionTwoBottom | Error> {
        try {
            const entity = this.create({ ...dto });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: SectionTwoBottomDto, id: string): Promise<SectionTwoBottom | Error> {
        try {
            await this.update(id, { ...dto });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SectionTwoBottom[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}