import { Module } from "@nestjs/common";
import { SectionTwoTopService } from "./section-two-top.service";
import { SectionTwoTopController } from "./section-two-top.controller";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { TypeOrmModule } from "@nestjs/typeorm";
import { UsersRepository } from "src/modules/users/user.repository";
import { SectionTwoTopRepository } from "./section-three.repository";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SectionTwoTopRepository])
    ],
    controllers: [SectionTwoTopController],
    providers: [SectionTwoTopService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class SectionTwoTopModule {
}
