import { EntityRepository, Repository } from "typeorm";
import { UpdateArticlePageUiDto } from "./dto/update-article-page-ui.dto";
import { ArticlePageUI } from "./entities/article-page-ui.entity";

@EntityRepository(ArticlePageUI)
export class ArticlePageUiRepository extends Repository<ArticlePageUI> {

    async createEntity(dto: UpdateArticlePageUiDto): Promise<ArticlePageUI | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateArticlePageUiDto, id: string): Promise<ArticlePageUI | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ArticlePageUI[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}